<?
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."admin_lastlogin/locale/".$settings['locale'].".php")) {
	include INFUSIONS."admin_lastlogin/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."admin_lastlogin/locale/English.php";
}

if (!checkRights("IP")) fallback("../index.php");

if (!$rowstart) $rowstart = 0;

opentable($locale['ALL_001']);
	$sql = dbquery("SELECT user_id, user_name, user_lastvisit FROM ".$db_prefix."users");
	$rows = dbrows($sql);
	if ($rows != 0) {
		$sql = dbquery("SELECT user_id, user_name, user_lastvisit FROM ".$db_prefix."users ORDER BY user_lastvisit DESC LIMIT ".$rowstart.",25");

		echo "<br /><table align='center' width='80%' cellspacing='0' cellpadding='0' class='body'><tr>\n
		<td class='tbl2'><b>".$locale['ALL_003']."</b></td>\n
		<td class='tbl2' align='right'><b>".$locale['ALL_002']."</b></td></tr>\n";

		while($data = dbarray($sql)) {

			if ($data['user_lastvisit'] == '0') {
			
				echo "<tr><td class='tbl1' width='50%'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>\n
				<td class='tbl1' width='50%' align='right'>".$locale['ALL_004']."</td></tr>\n";
			} else {
				echo "<tr><td class='tbl1' width='50%'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>\n
				<td class='tbl1' width='50%' align='right'>".showdate("longdate", $data['user_lastvisit'])."</td></tr>\n";
			}
		}
		
		echo "</table>\n";
	}

	if ( $rows > 20) {
		echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,3)."</div>\n";
	} else {
		echo "<center><br />".$locale['ALL_005']."<br /><br /></center>\n";
	}

closetable();

include BASEDIR."footer.php";

?>